<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/Timer.hh.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Timer.hh</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/Timer.hh</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="comment">//</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="comment">// Copyright (C) 2004 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="comment">// All rights reserved.</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="comment">// Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="comment">// see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="comment">//</span></span>
<a id="line7"></a><span class="lineno"> 7</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">#ifndef Synopsis_Timer_hh_</span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line">#define Synopsis_Timer_hh_</span>
<a id="line10"></a><span class="lineno">10</span>
<a id="line11"></a><span class="lineno">11</span><span class="line">#include &lt;ctime&gt;</span>
<a id="line12"></a><span class="lineno">12</span>
<a id="line13"></a><span class="lineno">13</span><span class="line"><span class="keyword">namespace</span> <a href="../../Scopes/Synopsis.html" title="namespace Synopsis">Synopsis</a></span>
<a id="line14"></a><span class="lineno">14</span><span class="line">{</span>
<a id="line15"></a><span class="lineno">15</span>
<a id="line16"></a><span class="lineno">16</span><span class="line"><span class="keyword">class</span> <a href="../../Scopes/Synopsis/Timer.html" title="class Synopsis::Timer">Timer</a></span>
<a id="line17"></a><span class="lineno">17</span><span class="line">{</span>
<a id="line18"></a><span class="lineno">18</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line19"></a><span class="lineno">19</span><span class="line">  <a href="../../Scopes/Synopsis/Timer.html#Timer_l_r" title="member function Synopsis::Timer::Timer()">Timer</a>() : my_start(std::clock()) {}</span>
<a id="line20"></a><span class="lineno">20</span><span class="line">  <span class="keyword">double</span> <a href="../../Scopes/Synopsis/Timer.html#elapsed_l_rconst" title="member function Synopsis::Timer::elapsed()const">elapsed</a>() const { <span class="keyword">return</span>  double(std::clock() - my_start) / <a href="" title="macro call">CLOCKS_PER_SEC</a>;}</span>
<a id="line21"></a><span class="lineno">21</span><span class="line"><span class="keyword">private</span>:</span>
<a id="line22"></a><span class="lineno">22</span><span class="line">  <a href="" title="using std::clock_t">std::clock_t</a> <a href="../../Scopes/Synopsis/Timer.html#my_start" title="data member Synopsis::Timer::my_start">my_start</a>;</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">};</span>
<a id="line24"></a><span class="lineno">24</span>
<a id="line25"></a><span class="lineno">25</span><span class="line">}</span>
<a id="line26"></a><span class="lineno">26</span>
<a id="line27"></a><span class="lineno">27</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:28:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
